curl --request POST \
--url https://{api_endpoint}/api/v1/orchestrate/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"description": "<string>",
"style": "default",
"name": "<string>",
"display_name": "<string>",
"instructions": "<string>",
"tools": [],
"collaborators": [],
"llm": "<string>",
"supported_apps": [
"slack/askhr"
],
"glossary": [],
"guidelines": [],
"knowledge_base": [],
"hidden": false,
"structured_output": {},
"custom_join_tool": "<string>",
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>"
}
},
"tags": [],
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": true
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"context_access_enabled": true,
"context_variables": [],
"hide_reasoning": false,
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictions": "editable",
"bundled_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
EOF{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Registers a new agent in the system.
curl --request POST \
--url https://{api_endpoint}/api/v1/orchestrate/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"description": "<string>",
"style": "default",
"name": "<string>",
"display_name": "<string>",
"instructions": "<string>",
"tools": [],
"collaborators": [],
"llm": "<string>",
"supported_apps": [
"slack/askhr"
],
"glossary": [],
"guidelines": [],
"knowledge_base": [],
"hidden": false,
"structured_output": {},
"custom_join_tool": "<string>",
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>"
}
},
"tags": [],
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": true
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"context_access_enabled": true,
"context_variables": [],
"hide_reasoning": false,
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictions": "editable",
"bundled_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
EOF{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Schema for creating a new agent.
Description of what the agent does
Style of the agent
default, react, planner, react_intrinsic Name of the agent
Display name of the agent
Instructions for the agent
List of tool names available to the agent
List of other agent names this agent can collaborate with
LLM identifier for the agent
Supported apps of the agent
slack/askhr List of glossary available to the agent
List of guidelines for the agent behavior
Show child attributes
List of knowledge_base available to the agent
To show or hide agent when agents are listed
JSON schema defining the structure for agent responses
Reference to a Python tool ID that will be used for custom synthesis of task results
Agent Additional Settings
Show child attributes
List of tags associated to agent
Chat with Documents config for Agent
Show child attributes
Enable access to context variables for this agent
List of context variable names that this agent can access
Enable/disable reasoning trace
Voice configuration for the agent
Enable editable for the collaborator agent
editable, non_editable, custom Base agent id
Successful Response